## golang-github-go-piv-piv-go 1.8.0

=== Makefile ===
.PHONY: test
test: lint
	go test -v ./...

.PHONY: lint
lint:
	golint -set_exit_status ./...

.PHONY: build
build: lint
	go build ./...

=== debian/changelog ===
golang-github-go-piv-piv-go (1.8.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-github-go-piv-piv-go-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 14:41:36 +0100

golang-github-go-piv-piv-go (1.8.0-2) unstable; urgency=medium

  * Team Upload.
    + Source-only upload.
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Feb 2022 13:06:19 +0530

golang-github-go-piv-piv-go (1.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #990846)

 -- Taowa <taowa@debian.org>  Fri, 09 Jul 2021 03:30:00 -0400

=== debian/control ===
Source: golang-github-go-piv-piv-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Taowa <taowa@debian.org>
Section: golang
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               pkg-config,
               libpcsclite-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-piv-piv-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-piv-piv-go.git
Homepage: https://github.com/go-piv/piv-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/go-piv/piv-go

Package: golang-github-go-piv-piv-go-dev
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Keys and certificates for YubiKeys, written in Go (library)
 YubiKeys implement the PIV specification for managing smart card
 certificates.  This applet is a simpler alternative to GPG for managing
 asymmetric keys on a YubiKey.
 .
 This package is an alternative to Paul Tagliamonte's go-ykpiv
 (https://github.com/paultag/go-ykpiv), a wrapper for YubiKey's ykpiv.h
 C library. This package aims to provide: better error messages,
 Idiomatic Go APIs, modern features such as PIN protected management
 keys.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# override tests as they require a yubikey be plugged in
override_dh_auto_test:

## golang-github-go-piv-piv-go 2.4.0

=== debian/changelog ===
golang-github-go-piv-piv-go (2.4.0-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental because known to trigger FTBFS
    in (only) yubikey-agent and golang-github-smallstep-certificates.
  * Add d/salsa-ci.yml.
  * Use pkgconf instead of obsolete pkg-config.
  * Standards-Version: 4.7.2.
  * Fix lintian debian-changelog-line-too-long.
  * Bump debian/* copyright years.
  * New upstream version 2.4.0
  * Improve d/copyright for new RSA code.
  * Use dh-sequence-golang.
  * Install extra files.
  * Re-enable self-tests.
  * Use gbp debian-branch debian/latest.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 30 Aug 2025 09:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: golang
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
-               pkg-config,
-               libpcsclite-dev
-Standards-Version: 4.6.0
+               libpcsclite-dev,
+               pkgconf
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-piv-piv-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-piv-piv-go.git
 Homepage: https://github.com/go-piv/piv-go

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := \
	v2/piv/certs/yubico-ca-1.pem \
	v2/piv/certs/yubico-intermediate.pem

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-go-piv-piv-go-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/go-piv/piv-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-go-piv-piv-go 2.5.0

=== debian/changelog ===
golang-github-go-piv-piv-go (2.5.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * Vendor minimal go-piv v1 for yubikey-agent

 -- Simon Josefsson <simon@josefsson.org>  Wed, 11 Feb 2026 20:07:38 +0100

golang-github-go-piv-piv-go (2.5.0-1) experimental; urgency=medium

  * Team upload.
  * Modernize Salsa CI
  * Use watch v5
  * Drop Rules-Requires-Root: no
  * Standards-Version: 4.7.3
  * Drop Priority: optional
  * Bump debian/* copyright years
  * Use gbp sign-tags and upstream-vcs-tag

 -- Simon Josefsson <simon@josefsson.org>  Wed, 11 Feb 2026 14:02:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Taowa <taowa@debian.org>
 Section: golang
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                libpcsclite-dev,
                pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-piv-piv-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-piv-piv-go.git
 Homepage: https://github.com/go-piv/piv-go
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/go-piv/piv-go
 
 Package: golang-github-go-piv-piv-go-dev

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
+
+execute_before_dh_auto_build: # debian/README.source
+	mkdir -pv _build/src/github.com/go-piv/piv-go/piv
+	cp -vr $(CURDIR)/debian/local/* _build/src/github.com/go-piv/piv-go/piv

=== debian/watch ===
Version: 5
Template: Github
Owner: go-piv
Project: piv-go
